Subject: Re: [nfsv4] Benjamin Kaduk's Discuss on draft-ietf-nfsv4-mv1-msns-update-04: (with DISCUSS and COMMENT)

From: David Noveck <[email-masked]>
Date: Tue, 16 Apr 2019 10:21:14 -0400

I've just submitted draft-ietf-nfsv4-rfc5661-msns-update-00, replacing
draft-ietf-nfsv4-mv1-msns-update.  This draft addresses the issues that
many IESG members had with the numerous updates to Section 11 of rfc5661.
Instead it has a single section replacing (instead of modifying) Section
11.   I hope that it will make it easier to deal with.   It also should
address the issues raised in Ben Kaduck's DISCUSS.

On Mon, Mar 25, 2019 at 11:01 AM David Noveck <[email-masked]> wrote:

> > For this reason, I waited until I knew who the responsible AD for NFSv4
> would be - "hi, Magnus" -
> > and am now telling you folks know that my advice would be to produce a
> -bis version of NFSv4.1,
> > rather than trying to advance this draft.
>
> I don't think those are the only options even though i realize that there
> is no point in trying to advance the current draft    As I understand it,
> an rfc5661bis would require a lot of work, particularly in the security
> area and this would go beyond merely applying changes in the current draft
> to the existing rfc5661.
>
> I certainly could put the document into a bis-like form as you  suggest,
> but I can't see the IESG approving the resulting Security Considerations
> section as part of an rfc5661bis, given that it totally ignores the
> requirements of RFC 3552.   The IESG approved rfc5661 with a defective
> Security Considerations section but am doubtful about a possible repeat.
>
> Another option would be to put the document in a more bis-like form by
> producing a replacement for section 11 (instead of the current set of
> updates to section 11), without totally replacing all of rfc5661.   I still
> think that latter work is needed but producing a high-quality bis is a ways
> away.
>
> > I would suggest that you ask Benjamin whether he would be more
> comfortable continuing discussion > of his ballot position of this material
> in this form, or in -bis form
>
> Instead, I'll ask hIm what form he'd like to base the discussion on,
> whether in one of the forms suggested so far or in another one.
>
> On Mon, Mar 25, 2019 at 9:58 AM Spencer Dawkins at IETF <
> [email-masked]> wrote:
>
>> I'm putting this here, in Benjamin's Discuss ballot thread, but this is
>> my suggestion for going forward on this draft. Magnus will be your AD
>> starting Thursday morning, but if I might provide advice that I hope will
>> be helpful ...
>>
>> If you take a look at
>> https://datatracker.ietf.org/doc/draft-ietf-nfsv4-mv1-msns-update/ballot/,
>> you'll see that only 6 ADs cast ballot postions that are included in
>> considering whether a draft is to be approved during IESG Evaluation (Yes,
>> No Objection, or Discuss). That is barely half of the number of ballots
>> needed to approve this draft for publication.
>>
>> Abstains and No Position ballots may have have useful comments, but they
>> are ignored when counting ballots for approval.
>>
>> And my ballot expires on Wednesday, so clearing Benjamin's Discuss will
>> leave you only half the way to getting this draft approved.
>>
>> As the ballot positions arrived, I began considering alternative ways
>> forward. Some ADs Abstained, saying "I don't think it's reasonable for me
>> to review a 100-page patch to a 600-page RFC", and that's a conversation
>> that I was prepared to have with the IESG, but other ADs Abstained, saying
>> "I tried, but I couldn't do it". In one case, Suresh, who is an experienced
>> and conscientious reviewer, said he found instances where he couldn't
>> identify changes between OLD and NEW blocks of text. So I decided I was
>> willing to believe the "not reasonable to review" Abstain positions, as
>> well as the "I tried and couldn't do it" Abstain positions.
>>
>> For this reason, I waited until I knew who the responsible AD for NFSv4
>> would be - "hi, Magnus" - and am now telling you folks know that my advice
>> would be to produce a -bis version of NFSv4.1, rather than trying to
>> advance this draft.
>>
>> Magnus can accept my suggestion, or do something else, starting Thursday
>> morning (he and I both try to act in your best interests, and we might not
>> always agree on what that means). And you don't have to wait until Thursday
>> morning to start talking with Magnus, and with each other.
>>
>> I would suggest that you ask Benjamin whether he would be more
>> comfortable continuing discussion of his ballot position of this material
>> in this form, or in -bis form.
>>
>> And I am truly sorry that you experienced this Late Surprise as I was
>> stepping down.
>>
>> Best wishes with your work, and enjoy not having to include a last name
>> initial every time you mention "Spencer" in NFSv4 e-mail!
>>
>> Spencer (D)
>>
>